# Package org.apache.ignite.internal.cluster

Interface Summary
Interface | Description
--- | ---
ClusterGroupEx | Internal projection interface.
IgniteClusterEx |

Class Summary
Class | Description
--- | ---
ClusterGroupAdapter |
ClusterNodeLocalMapImpl<K,V> | Implementation for node-local storage.
IgniteClusterAsyncImpl |
IgniteClusterImpl |

Exception Summary
Exception | Description
--- | ---
ClusterGroupEmptyCheckedException | This exception defines illegal call on empty projection.
ClusterTopologyCheckedException | This exception is used to indicate error with grid topology (e.g., crashed node, etc.).

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015